get
https://api.rotowire.com/Soccer/LIGA/News.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve news for. Format YYYY-MM-DD. Defaults to current date. |
hours | integer | No | Return news from the last N hours. |
max_priority | integer | No | Return only news at or above this priority level. |
with_analysis | integer | No | Include analytical commentary. 1 = Yes, 0 = No. Options: 0, 1 · Default: 1 |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | Date in YYYY-MM-DD format |
Updates | array | Array of news or injury update objects |
Updates Object
| Field | Type | Description |
|---|---|---|
Id | string | Unique RotoWire identifier |
DateTime | string | Date and time in ISO 8601 format |
Priority | string | News priority level — 1 = Biggest News, 2 = Top Players, 3 = Regular, 4 = Minor Leaguers, 5 = Non-Fantasy |
IsTransaction | integer | 1 if this update is a roster transaction, 0 if it is a news item |
Headline | string | Short headline summarizing the update |
Notes | string | Brief factual notes about the player or event |
Analysis | string | In-depth analytical commentary on fantasy and betting impact |
Player | object | Player information object |
Team | object | Team information object |
Player Object
| Field | Type | Description |
|---|---|---|
FirstName | string | Player's first name |
LastName | string | Player's last name |
Position | string | Player's eligible position(s) (e.g. GK, DEF, MID, FWD) |
Link | string | URL to the player's RotoWire profile page |
Id | string | Unique RotoWire identifier |
Team Object
| Field | Type | Description |
|---|---|---|
Name | string | Full name |
Id | string | Unique RotoWire identifier |
Example Response
{"Date":"2026-05-14","Updates":[{"Id":"515879","DateTime":"2026-05-14 00:53:58.510","Priority":"3","IsTransaction":0,"Headline":"Set for suspension","Notes":"Veiga will serve a one-match ban due to an accumulation of five yellow cards in La Liga.","Analysis":"Veiga picked up his fifth yellow card in La Liga and will serve a one-match suspension for Sunday\u0027s clash against Rayo Vallecano. The defender has been an undisputed starter in the back line for the yellow submarine this season, therefore his absence will force a change in the starting XI, with Pau Navarro expected to start in his place for that game.","Player":{"FirstName":"Renato","LastName":"Veiga","Position":"D","Link":"https://www.rotowire.com/soccer/player/renato-veiga-36576","Id":"36576"},"Team":{"Name":"Villarreal","Id":"96"}},{"Id":"515880","DateTime":"2026-05-14 00:55:50.387","Priority":"3","IsTransaction":0,"Headline":"Suspended one game","Notes":"Mascarell will serve a one-match ban due to an accumulation of five yellow cards in La Liga.","Analysis":"Mascarell picked up his fifth yellow card in La Liga and will serve a one-match suspension for Sunday\u0027s clash against Levante. The midfielder has been an undisputed starter in the engine room for Mallorca this season, therefore his absence will force a change in the starting XI, with Manu Morlanes and Sergi Darder getting larger roles for that game.","Player":{"FirstName":"Omar","LastName":"Mascarell","Position":"M","Link":"https://www.rotowire.com/soccer/player/omar-mascarell-20524","Id":"20524"},"Team":{"Name":"Mallorca","Id":"169"}}]}